Package com.fasterxml.jackson.dataformat.xml

## Interface XmlPrettyPrinter

All Superinterfaces:
  `com.fasterxml.jackson.core.PrettyPrinter`

All Known Implementing Classes:
  `DefaultXmlPrettyPrinter`

    public interface XmlPrettyPrinter
    extends com.fasterxml.jackson.core.PrettyPrinter

There are some XML-specific quirks that need extra TLC when indenting: so we will use a refinement of general purpose one.

### Field Summary

### Fields inherited from interface com.fasterxml.jackson.core.PrettyPrinter

`DEFAULT_ROOT_VALUE_SEPARATOR, DEFAULT_SEPARATORS`

### Method Summary

All Methods Instance Methods Abstract Methods
`void` `writeEndElement​(org.codehaus.stax2.XMLStreamWriter2 sw, int nrOfEntries)` Method for forcibly writing an end element, without going through Jackson generator (and thus, without updating currently active element stack)
`void` `writeLeafElement​(org.codehaus.stax2.XMLStreamWriter2 sw, java.lang.String nsURI, java.lang.String localName, boolean value)`
`void` `writeLeafElement​(org.codehaus.stax2.XMLStreamWriter2 sw, java.lang.String nsURI, java.lang.String localName, byte[] data, int offset, int len)`
`void` `writeLeafElement​(org.codehaus.stax2.XMLStreamWriter2 sw, java.lang.String nsURI, java.lang.String localName, char[] buffer, int offset, int len, boolean isCData)`
`void` `writeLeafElement​(org.codehaus.stax2.XMLStreamWriter2 sw, java.lang.String nsURI, java.lang.String localName, double value)`
`void` `writeLeafElement​(org.codehaus.stax2.XMLStreamWriter2 sw, java.lang.String nsURI, java.lang.String localName, float value)`
`void` `writeLeafElement​(org.codehaus.stax2.XMLStreamWriter2 sw, java.lang.String nsURI, java.lang.String localName, int value)`
`void` `writeLeafElement​(org.codehaus.stax2.XMLStreamWriter2 sw, java.lang.String nsURI, java.lang.String localName, long value)`
`void` `writeLeafElement​(org.codehaus.stax2.XMLStreamWriter2 sw, java.lang.String nsURI, java.lang.String localName, java.lang.String text, boolean isCData)`
`void` `writeLeafElement​(org.codehaus.stax2.XMLStreamWriter2 sw, java.lang.String nsURI, java.lang.String localName, java.math.BigDecimal value)`
`void` `writeLeafElement​(org.codehaus.stax2.XMLStreamWriter2 sw, java.lang.String nsURI, java.lang.String localName, java.math.BigInteger value)`
`void` `writeLeafNullElement​(org.codehaus.stax2.XMLStreamWriter2 sw, java.lang.String nsURI, java.lang.String localName)`
`void` `writePrologLinefeed​(org.codehaus.stax2.XMLStreamWriter2 sw)` Method for trying to write a linefeed to separate entities outside of the root element (that is, in prolog or epilog), most often called to separate XML declaration from the root element.
`void` `writeStartElement​(org.codehaus.stax2.XMLStreamWriter2 sw, java.lang.String nsURI, java.lang.String localName)` Method for forcibly writing a start element, without going through Jackson generator (and thus, without updating currently active element stack)

### Methods inherited from interface com.fasterxml.jackson.core.PrettyPrinter

`beforeArrayValues, beforeObjectEntries, writeArrayValueSeparator, writeEndArray, writeEndObject, writeObjectEntrySeparator, writeObjectFieldValueSeparator, writeRootValueSeparator, writeStartArray, writeStartObject`

### Method Detail

#### writeStartElement

    void writeStartElement​(org.codehaus.stax2.XMLStreamWriter2 sw,
                           java.lang.String nsURI,
                           java.lang.String localName)
                    throws javax.xml.stream.XMLStreamException

Method for forcibly writing a start element, without going through Jackson generator (and thus, without updating currently active element stack)

Throws:
  `javax.xml.stream.XMLStreamException`
Since:
  2.1

#### writeEndElement

    void writeEndElement​(org.codehaus.stax2.XMLStreamWriter2 sw,
                         int nrOfEntries)
                  throws javax.xml.stream.XMLStreamException

Method for forcibly writing an end element, without going through Jackson generator (and thus, without updating currently active element stack)

Throws:
  `javax.xml.stream.XMLStreamException`
Since:
  2.1

#### writePrologLinefeed

    void writePrologLinefeed​(org.codehaus.stax2.XMLStreamWriter2 sw)
                      throws javax.xml.stream.XMLStreamException

Method for trying to write a linefeed to separate entities outside of the root element (that is, in prolog or epilog), most often called to separate XML declaration from the root element.

Throws:
  `javax.xml.stream.XMLStreamException`
Since:
  2.7

#### writeLeafElement

    void writeLeafElement​(org.codehaus.stax2.XMLStreamWriter2 sw,
                          java.lang.String nsURI,
                          java.lang.String localName,
                          java.lang.String text,
                          boolean isCData)
                   throws javax.xml.stream.XMLStreamException

Throws:
  `javax.xml.stream.XMLStreamException`

#### writeLeafElement

    void writeLeafElement​(org.codehaus.stax2.XMLStreamWriter2 sw,
                          java.lang.String nsURI,
                          java.lang.String localName,
                          char[] buffer,
                          int offset,
                          int len,
                          boolean isCData)
                   throws javax.xml.stream.XMLStreamException

Throws:
  `javax.xml.stream.XMLStreamException`

#### writeLeafElement

    void writeLeafElement​(org.codehaus.stax2.XMLStreamWriter2 sw,
                          java.lang.String nsURI,
                          java.lang.String localName,
                          boolean value)
                   throws javax.xml.stream.XMLStreamException

Throws:
  `javax.xml.stream.XMLStreamException`

#### writeLeafElement

    void writeLeafElement​(org.codehaus.stax2.XMLStreamWriter2 sw,
                          java.lang.String nsURI,
                          java.lang.String localName,
                          int value)
                   throws javax.xml.stream.XMLStreamException

Throws:
  `javax.xml.stream.XMLStreamException`

#### writeLeafElement

    void writeLeafElement​(org.codehaus.stax2.XMLStreamWriter2 sw,
                          java.lang.String nsURI,
                          java.lang.String localName,
                          long value)
                   throws javax.xml.stream.XMLStreamException

Throws:
  `javax.xml.stream.XMLStreamException`

#### writeLeafElement

    void writeLeafElement​(org.codehaus.stax2.XMLStreamWriter2 sw,
                          java.lang.String nsURI,
                          java.lang.String localName,
                          double value)
                   throws javax.xml.stream.XMLStreamException

Throws:
  `javax.xml.stream.XMLStreamException`

#### writeLeafElement

    void writeLeafElement​(org.codehaus.stax2.XMLStreamWriter2 sw,
                          java.lang.String nsURI,
                          java.lang.String localName,
                          float value)
                   throws javax.xml.stream.XMLStreamException

Throws:
  `javax.xml.stream.XMLStreamException`

#### writeLeafElement

    void writeLeafElement​(org.codehaus.stax2.XMLStreamWriter2 sw,
                          java.lang.String nsURI,
                          java.lang.String localName,
                          java.math.BigInteger value)
                   throws javax.xml.stream.XMLStreamException

Throws:
  `javax.xml.stream.XMLStreamException`

#### writeLeafElement

    void writeLeafElement​(org.codehaus.stax2.XMLStreamWriter2 sw,
                          java.lang.String nsURI,
                          java.lang.String localName,
                          java.math.BigDecimal value)
                   throws javax.xml.stream.XMLStreamException

Throws:
  `javax.xml.stream.XMLStreamException`

#### writeLeafElement

    void writeLeafElement​(org.codehaus.stax2.XMLStreamWriter2 sw,
                          java.lang.String nsURI,
                          java.lang.String localName,
                          byte[] data,
                          int offset,
                          int len)
                   throws javax.xml.stream.XMLStreamException

Throws:
  `javax.xml.stream.XMLStreamException`

#### writeLeafNullElement

    void writeLeafNullElement​(org.codehaus.stax2.XMLStreamWriter2 sw,
                              java.lang.String nsURI,
                              java.lang.String localName)
                       throws javax.xml.stream.XMLStreamException

Throws:
  `javax.xml.stream.XMLStreamException`